Target version: 00-07-00   

Description

To properly fit COMPTEL data, the background handling is required.

COMPTEL background can be provided by so called DRB files, and the background model consists then of fit factors that are applied

to the DRB cube.

COMPTEL background can also be derived from the data itself, and the background model consists then of parameters used for

background modeling.

For example, for fitting a single normalization factor to the background model on could use the following XML file:

  <source name="Background" type="DRBFitting" instrument="COM">

    <phibar>

      <parameter name="Normalization" scale="1.0" value="1.0"  min="0.0" max="1000.0" free="1"/>

      <parameter name="LowerLimit"    scale="1.0" value="0.0"  min="0.0" max="50.0"   free="0"/>

      <parameter name="UpperLimit"    scale="1.0" value="50.0" min="0.0" max="50.0"   free="0"/>

    </phibar>

  </source>

and for fitting two Phibar layers one could use

  <source name="Background" type="DRBFitting" instrument="COM">

    <phibar>

      <parameter name="Normalization" scale="1.0" value="1.0"  min="0.0" max="1000.0" free="1"/>

      <parameter name="LowerLimit"    scale="1.0" value="0.0"  min="0.0" max="50.0"   free="0"/>

      <parameter name="UpperLimit"    scale="1.0" value="25.0" min="0.0" max="50.0"   free="0"/>

    </phibar>

    <phibar>

      <parameter name="Normalization" scale="1.0" value="1.0"  min="0.0" max="1000.0" free="1"/>

      <parameter name="LowerLimit"    scale="1.0" value="25.0" min="0.0" max="50.0"   free="0"/>

      <parameter name="UpperLimit"    scale="1.0" value="50.0" min="0.0" max="50.0"   free="0"/>

    </phibar>

  </source>

History

#1 - 12/02/2012 02:31 PM - Knödlseder Jürgen

- Status changed from New to In Progress

#2 - 12/02/2012 02:44 PM - Knödlseder Jürgen

- Description updated

#3 - 12/02/2012 02:50 PM - Knödlseder Jürgen
More general would be a model definition following

  <source name="Background" type="DRBFitting" instrument="COM">

    <node>

      <parameter name="Normalization" scale="1.0" value="1.0"  min="0.0" max="1000.0" free="1"/>

      <parameter name="Phibar"        scale="1.0" value="0.0"  min="0.0" max="50.0"   free="0"/>

    </node>

  </source>

Fitting factors are here defined at given nodes, and linear interpolation is done between the nodes. This could be used to reduce the effective number

of fitting factors used, in case that this is appropriate.

Note that we still have an overall weakness in the model definition, which is that the model applies to all observations in the container. One could add

an observation identifier to the XML file to restrict the application to a specific observation, but then, the model definition file becomes very large. But

maybe we should use this method in the end, as the XML files will unlikely be edited manually anyways.

#4 - 12/02/2012 11:16 PM - Knödlseder Jürgen

- % Done changed from 0 to 50

An initial version of the DRB fitting background model has been implement as the GCOMModelDRBFitting class.

The GCOMModelDRBFitting::mc method still needs to be implement.

#5 - 12/04/2012 01:49 AM - Knödlseder Jürgen

- Status changed from In Progress to Feedback

- Remaining (hours) set to 0.0

#6 - 12/04/2012 01:49 AM - Knödlseder Jürgen

- Status changed from Feedback to In Progress

- Estimated time set to 0.00

#7 - 12/04/2012 10:32 PM - Knödlseder Jürgen

- Status changed from In Progress to Feedback

- % Done changed from 50 to 100

We leave the GCOMModelDRBFitting::npred and GCOMModelDRBFitting::mc methods for the moment unimplemented as we don't need them

immediately. See feature #612.

#8 - 12/04/2012 10:45 PM - Knödlseder Jürgen

- Status changed from Feedback to Closed
